aboutsummaryrefslogtreecommitdiffstats
path: root/tests/tldk/tldk_scripts
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tldk/tldk_scripts')
-rwxr-xr-xtests/tldk/tldk_scripts/install_tldk.sh68
-rwxr-xr-xtests/tldk/tldk_scripts/run_tldk.sh82
2 files changed, 0 insertions, 150 deletions
diff --git a/tests/tldk/tldk_scripts/install_tldk.sh b/tests/tldk/tldk_scripts/install_tldk.sh
deleted file mode 100755
index 4adff561ce..0000000000
--- a/tests/tldk/tldk_scripts/install_tldk.sh
+++ /dev/null
@@ -1,68 +0,0 @@
-#!/bin/bash
-
-set -x
-
-# set arch, default to x86_64 if none given
-ARCH=${1:-"x86_64"}
-
-# dpdk prefers "arm64" to "aarch64" and does not allow arm64 native target
-if [ $ARCH == "aarch64" ]; then
- ARCH="arm64"
- MACHINE="armv8a"
-else
- MACHINE="native"
-fi
-
-DPDK_VERSION=16.11.1
-
-ROOTDIR=/tmp/TLDK-testing
-PWDDIR=$(pwd)
-DPDK_DIR=dpdk
-DPDK_PACKAGE=${DPDK_DIR}"-"${DPDK_VERSION}.tar.xz
-
-# compile and install the DPDK
-cd ${ROOTDIR}
-sudo tar xvf ${DPDK_PACKAGE}
-sudo mv dpdk-stable-${DPDK_VERSION} dpdk
-echo $PWD
-echo ${DPDK_PACKAGE}
-cd ./${DPDK_DIR}
-sudo sed -i 's/^CONFIG_RTE_LIBRTE_PMD_PCAP=n/CONFIG_RTE_LIBRTE_PMD_PCAP=y/g' ./config/common_base
-sudo make install T=${ARCH}-${MACHINE}-linuxapp-gcc
-cd ${PWDDIR}
-
-# compile the TLDK
-export RTE_SDK=${ROOTDIR}/${DPDK_DIR}/
-export RTE_TARGET=${ARCH}-${MACHINE}-linuxapp-gcc
-cd ${ROOTDIR}/tldk
-make all
-cd ${PWDDIR}
-
-sudo killall -9 l4fwd 2>/dev/null
-
-sleep 5
-
-pid=`pgrep l4fwd`
-if [ "$pid" != "" ]; then
- echo "terminate the l4fwd failed!"
- exit 1
-fi
-
-# check and setup the hugepages
-SYS_HUGEPAGE=$(cat /sys/kernel/mm/hugepages/hugepages-2048kB/nr_hugepages)
-if [ ${SYS_HUGEPAGE} -lt 1024 ]; then
- MOUNT=$(mount | grep /mnt/huge)
- while [ "${MOUNT}" != "" ]
- do
- sudo umount /mnt/huge
- sleep 1
- MOUNT=$(mount | grep /mnt/huge)
- done
-
- echo 1024 | sudo tee /sys/devices/system/node/node0/hugepages/hugepages-2048kB/nr_hugepages
- echo 1024 | sudo tee /sys/devices/system/node/node1/hugepages/hugepages-2048kB/nr_hugepages
-
- sudo mkdir -p /mnt/huge
- sudo mount -t hugetlbfs nodev /mnt/huge/
- test $? -eq 0 || exit 1
-fi
diff --git a/tests/tldk/tldk_scripts/run_tldk.sh b/tests/tldk/tldk_scripts/run_tldk.sh
deleted file mode 100755
index 10ad5b27fa..0000000000
--- a/tests/tldk/tldk_scripts/run_tldk.sh
+++ /dev/null
@@ -1,82 +0,0 @@
-#!/bin/bash
-
-set -x
-
-# set arch, default to x86_64 if none given
-ARCH=${1:-"x86_64"}
-
-# dpdk prefers "arm64" to "aarch64" and does not allow arm64 native target
-if [ $ARCH == "aarch64" ]; then
- ARCH="arm64"
- MACHINE="armv8a"
-else
- MACHINE="native"
-fi
-
-ROOTDIR=/tmp/TLDK-testing
-PWDDIR=$(pwd)
-
-rx_file=$1
-tx_file=$2
-nic_pci=$3
-fe_cfg=$4
-be_cfg=$5
-IPv4_addr=$6
-IPv6_addr=$7
-
-echo $IPv4_addr
-
-# Try to kill the l4fwd
-sudo pgrep l4fwd
-if [ $? -eq "0" ]; then
- success=false
- sudo pkill l4fwd
- echo "RC = $?"
- for attempt in {1..5}; do
- echo "Checking if l4fwd is still alive, attempt nr ${attempt}"
- sudo pgrep l4fwd
- if [ $? -eq "1" ]; then
- echo "l4fwd is dead"
- success=true
- break
- fi
- echo "l4fwd is still alive, waiting 1 second"
- sleep 1
- done
- if [ "$success" = false ]; then
- echo "The command sudo pkill l4fwd failed"
- sudo pkill -9 l4fwd
- echo "RC = $?"
- exit 1
- fi
-else
- echo "l4fwd is not running"
-fi
-
-#mount the hugepages again
-sudo umount /mnt/huge
-sudo mount -t hugetlbfs nodev /mnt/huge/
-test $? -eq 0 || exit 1
-
-sleep 2
-
-#run the l4fwd with tag U
-# need to install libpcap, libpcap-dev to use --vdev
-cd ${ROOTDIR}
-if [ "$IPv6_addr" == "NONE" ]; then
-sudo sh -c "nohup ./tldk/${ARCH}-${MACHINE}-linuxapp-gcc/app/l4fwd --lcore='0' \
- -n 2 --vdev 'eth_pcap1,rx_pcap=${rx_file},tx_pcap=${tx_file}' \
- -b ${nic_pci} -- -P -U -R 0x1000 -S 0x1000 -s 0x20 -f ${fe_cfg} -b ${be_cfg} \
- port=0,lcore=0,rx_offload=0,tx_offload=0,ipv4=${IPv4_addr} &"
-elif [ "$IPv4_addr" == "NONE" ]; then
-sudo sh -c "nohup ./tldk/${ARCH}-${MACHINE}-linuxapp-gcc/app/l4fwd --lcore='0' \
- -n 2 --vdev 'eth_pcap1,rx_pcap=${rx_file},tx_pcap=${tx_file}' \
- -b ${nic_pci} -- -P -U -R 0x1000 -S 0x1000 -s 0x20 -f ${fe_cfg} -b ${be_cfg} \
- port=0,lcore=0,rx_offload=0,tx_offload=0,ipv6=${IPv6_addr} &"
-fi
-
-cd ${PWDDIR}
-
-ps -elf | grep l4fwd
-
-sleep 10